Table of Contents

## Name

pactester - Tool to test proxy auto-config (pac) files.

## Synopsis

pactester <-p pacfile> <-u url> [-h host] [-c client_ip] [-e]

pactester <-p pacfile> <-f urlslist> [-c client_ip] [-e]

## Description

pactester is a tool to test proxy auto-config (pac) files. It returns the proxy config string for the given URL and the pac file. pactester uses pacparser C library for most of its functionality.

## Options

-p pacfile
  PAC file to test. Specify "-" to read from the standard input.
-u url
  URL to test the PAC file for.
-h host
  Host part of the URL. If not specified, it’s determined from the URL.
-c client_ip
  Client’s IP address (as returned by the function myIpAddress() in PAC files). If not specified, it defaults to the IP address of the machine on which this tool is running.
-e
  Enable Microsoft PAC extensions (dnsResolveEx, myIpAddressEx, isResolvableEx).
-f urlslist
  A file containing the list of URLs to be tested. This is good for testing a PAC file against a set of URLs.

## Examples

To find out the proxy config string for the pac file "wpad.dat" and the URL "http://www.google.com ":

$ pactester -p wpad.dat -u http://www.google.com

For a client with IP address 10.0.12.123:

$ pactester -p wpad.dat -c 10.0.12.123 -u http://www.google.com

For a pac file hosted at http://wpad/wpad.dat:

$ curl -s http://wpad/wpad.dat | pactester -p - -u http://google.com

## Bugs

If you have come across a bug in pactester, please submit a bug report at http://github.com/pacparser/pacparser/issues.

## Author

Written by Manu Garg (http://www.manugarg.com).

## Resources

Homepage: http://github.com/pacparser/pacparser.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Examples
- Bugs
- Author
- Resources